[build-system]
requires = ["wheel", "setuptools", "attrs>=17.1"]
build-backend = "setuptools.build_meta"

[tool.black]
line-length = 120

[tool.pylint.messages_control]
disable = "C0330, C0326, C0114, C0115, C0116, R0903, W0613, R0902"
extension-pkg-whitelist = "pydantic"

[tool.pylint.format]
max-line-length = "120"

[tool.towncrier]
package = "towncrier"
filename = "CHANGELOG.md"
underlines = ["-", "", ""]
template = "towncrier/template.md"
title_format = "v{version} - {project_date}"
issue_format = "[#{issue}](https://framagit.org/interhop/omop/susana/-/issues/{issue})"
start_string = "<!-- TOWNCRIER -->"
